Bug 151340 - repocopy devel/clang to lang/clang and lang/clang-devel
repocopy devel/clang to lang/clang and lang/clang-devel
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Brooks Davis
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-09 13:00 UTC by Brooks Davis
Modified: 2010-12-08 02:38 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brooks Davis freebsd_committer 2010-10-09 13:00:04 UTC
As a compiler, clang properly belongs in the lang category.  We
should also split the llvm-devel port into llvm and clang ports as
done with the release version.
Comment 1 Edwin Groothuis freebsd_committer 2010-10-09 13:00:27 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-10-09 13:00:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->brooks

Submitter is maintainer and has GNATS access (via the GNATS Auto Assign 
Tool)
Comment 3 Brooks Davis freebsd_committer 2010-10-09 13:04:58 UTC
State Changed
From-To: open->repocopy

Repocopy request. 


Comment 4 Brooks Davis freebsd_committer 2010-10-09 13:04:58 UTC
Responsible Changed
From-To: brooks->portmgr

Repocopy request.
Comment 5 Joe Marcus Clarke freebsd_committer 2010-10-11 05:20:28 UTC
State Changed
From-To: repocopy->open

Repocopies complete. 


Comment 6 Joe Marcus Clarke freebsd_committer 2010-10-11 05:20:28 UTC
Responsible Changed
From-To: portmgr->brooks

Repocopies complete.
Comment 7 dfilter freebsd_committer 2010-10-14 20:15:43 UTC
brooks      2010-10-14 19:15:37 UTC

  FreeBSD ports repository

  Modified files:
    lang/clang           Makefile distinfo pkg-descr pkg-plist 
    lang/clang-devel     Makefile distinfo pkg-descr pkg-plist 
  Log:
  Forced commit to record repocopy from devel/clang to lang/clang and
  lang/clang-devel by marcus on 2010-10-11.
  
  PR:             ports/151340
  
  Revision  Changes    Path
  1.13      +0 -0      ports/lang/clang-devel/Makefile
  1.4       +0 -0      ports/lang/clang-devel/distinfo
  1.2       +0 -0      ports/lang/clang-devel/pkg-descr
  1.7       +0 -0      ports/lang/clang-devel/pkg-plist
  1.13      +0 -0      ports/lang/clang/Makefile
  1.4       +0 -0      ports/lang/clang/distinfo
  1.2       +0 -0      ports/lang/clang/pkg-descr
  1.7       +0 -0      ports/lang/clang/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter freebsd_committer 2010-10-14 20:29:27 UTC
brooks      2010-10-14 19:29:23 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
    devel                Makefile 
    lang                 Makefile 
    lang/clang           Makefile 
  Removed files:
    devel/clang          Makefile distinfo pkg-descr pkg-plist 
    devel/clang/files    patch-Makefile patch-tools_clang_Makefile 
                         patch-tools_clang_include_clang_Analysis_Analyses_FormatString.h 
                         patch-tools_clang_lib_Analysis_PrintfFormatString.cpp 
                         patch-tools_clang_lib_Headers_Makefile 
                         patch-tools_clang_lib_Sema_SemaChecking.cpp 
                         patch-tools_clang_tools_scan-build_scan-build 
  Log:
  Move devel/clang to lang/clang since compilers typically live in lang.
  
  PR:             ports/151340
  
  Revision  Changes    Path
  1.2279    +2 -1      ports/MOVED
  1.4086    +0 -1      ports/devel/Makefile
  1.13      +0 -170    ports/devel/clang/Makefile (dead)
  1.4       +0 -6      ports/devel/clang/distinfo (dead)
  1.3       +0 -14     ports/devel/clang/files/patch-Makefile (dead)
  1.3       +0 -14     ports/devel/clang/files/patch-tools_clang_Makefile (dead)
  1.2       +0 -16     ports/devel/clang/files/patch-tools_clang_include_clang_Analysis_Analyses_FormatString.h (dead)
  1.2       +0 -26     ports/devel/clang/files/patch-tools_clang_lib_Analysis_PrintfFormatString.cpp (dead)
  1.3       +0 -14     ports/devel/clang/files/patch-tools_clang_lib_Headers_Makefile (dead)
  1.2       +0 -45     ports/devel/clang/files/patch-tools_clang_lib_Sema_SemaChecking.cpp (dead)
  1.2       +0 -23     ports/devel/clang/files/patch-tools_clang_tools_scan-build_scan-build (dead)
  1.2       +0 -4      ports/devel/clang/pkg-descr (dead)
  1.7       +0 -403    ports/devel/clang/pkg-plist (dead)
  1.705     +1 -0      ports/lang/Makefile
  1.14      +1 -1      ports/lang/clang/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Brooks Davis freebsd_committer 2010-12-08 02:37:52 UTC
State Changed
From-To: open->closed

Completed a while ago.